Package Details: sqlitebrowser-cipher 3.11.2-1

Git Clone URL: https://aur.archlinux.org/sqlitebrowser-cipher.git (read-only)
Package Base: sqlitebrowser-cipher
Description: SQLite Database browser is a light GUI editor for SQLite databases, built on top of Qt (with sqlcipher support)
Upstream URL: http://sqlitebrowser.org/
Licenses: GPL
Conflicts: sqlitebrowser
Provides: sqlitebrowser
Submitter: mushroom
Maintainer: mushroom
Last Packager: mushroom
Votes: 2
Popularity: 0.823401
First Submitted: 2017-12-17 15:31
Last Updated: 2019-08-13 06:34

Required by (2)

  • netglub (requires sqlitebrowser)
  • whippet (requires sqlitebrowser) (optional)

Sources (1)

Latest Comments

mushroom commented on 2019-08-13 06:36

@JP-Ellis updated to 3.11.2 use your PKGBUILD.

JP-Ellis commented on 2019-05-02 04:42

I've updated the PKGBUILD to use 3.11.2. Also, I've made a couple of changes to the PKGBUILD:

  • Changed the version name to be 3.11.2 instead of v3.11.2.
  • Use an explicit link to the tarball instead of relying on git tags.
  • I'm not sure why qmake is used over cmake here, so I've reverted back to cmake as I suspect more people have that installed.
  • No need for verbose make output.
  • Build in a build directory in case cmake/make overwrite any of the source files.

The PKGBUILD is available at: https://gist.github.com/JP-Ellis/579d882368fd611938ddc59ec647f36b

mushroom commented on 2018-09-27 08:54

@barrybingo update to v3.10.1,replace cmake with qmake

barrybingo commented on 2018-09-19 09:21

Fails to build with cmake re: https://github.com/sqlitebrowser/sqlitebrowser/issues/1361

workaround is to use qmake

diff --git a/PKGBUILD b/PKGBUILD
index dd8dcae..420480e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,13 +22,13 @@ md5sums=('SKIP')

 build() {
   cd $srcdir/$pkgname
-  cmake -Dsqlcipher=1 -DCMAKE_INSTALL_PREFIX=/usr .
-  make
+  qmake -r CONFIG+=sqlcipher PREFIX=/usr VERBOSE=1 || return 1
+  make || return 1
 }

 package() {
   cd $srcdir/$pkgname
-  make install DESTDIR=$pkgdir
+  make install INSTALL_ROOT=$pkgdir || return 1
   install -Dm0644 distri/sqlitebrowser.desktop $pkgdir/usr/share/applications/sqlitebrowser.desktop
   install -dm0755 $pkgdir/usr/share/icons/
   install -m0644 images/sqlitebrowser.svg $pkgdir/usr/share/icons/